// atlhelloau.idl : IDL source for atlhelloau.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (atlhelloau.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

// declaration of IAtlHelloDisp custom dual interface 

	[
		object,
		uuid(0B0E331D-C571-11D0-90FC-00608C86B89C),
		dual,
		helpstring("IAtlHelloDisp Interface"),
		pointer_default(unique)
	]
	interface IAtlHelloDisp : IDispatch
	{
		[propget, id(1), helpstring("property HelloMessage")] HRESULT HelloMessage([out, retval] BSTR *pVal);
		[propput, id(1), helpstring("property HelloMessage")] HRESULT HelloMessage([in] BSTR newVal);
		[id(2), helpstring("method SayHello")] HRESULT SayHello();
	};
// declaration of type library itself

[
	uuid(0B0E3310-C571-11D0-90FC-00608C86B89C),
	version(1.0),
	helpstring("atlhelloau 1.0 Type Library")
]
library ATLHELLOAULib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

// declaration of AtlHelloDisp object

	[
		uuid(0B0E331F-C571-11D0-90FC-00608C86B89C),
		helpstring("AtlHelloDisp Class")
	]
	coclass AtlHelloDisp
	{
		[default] interface IAtlHelloDisp;
	};
};
